<template>
  <div>
    <v-row class="mt-5 mb-10">
      <v-col cols="12" class="text-center">
        <div
          :class="
            $vuetify.breakpoint.mdAndDown
              ? 'text-center global-box-view'
              : 'global-box-view'
          "
        >
          <h2 class="allh2-headline">
            {{ $t('cmsProduct.tech.title') }}
          </h2>
        </div>
      </v-col>
      <v-row class="fill-height" align="center" justify="center">
        <v-col
          v-for="item in tech"
          :key="item.title"
          v-scrollAnime
          cols="4"
          sm="2"
          md="2"
          lg="1"
          class="d-flex justify-center text-center mx-auto"
        >
          <TechCards :color="item.color" :title="item.title" :name="item.tooltip" />
        </v-col>
      </v-row>
    </v-row>
  </div>
</template>
<script>
export default {
  name: 'CmsTech',
  data() {
    return {
      tech: [
        {
          title: 'si_php',
          color: '#E95420',
          tooltip: 'PHP',
        },
        {
          title: 'si_mariadb',
          color: '#E95420',
          tooltip: 'MariaDB',
        },
        {
          title: 'si_mongodb',
          color: '#E95420',
          tooltip: 'MongoDB',
        },
        {
          title: 'si_nginx',
          color: '#E95420',
          tooltip: 'Nginx',
        },
        {
          title: 'si_node_dot_js',
          color: '#E95420',
          tooltip: 'NodeJS',
        },
        {
          title: 'si_vue_dot_js',
          color: '#E95420',
          tooltip: 'VueJS',
        },
        {
          title: 'si_vuetify',
          color: '#E95420',
          tooltip: 'Vuetify',
        },
        // {
        //   title: 'si_quasar',
        //   color: '#E95420',
        //   tooltip: 'Quasar',
        // },
        {
          title: 'si_angularjs',
          color: '#E95420',
          tooltip: 'Angularjs',
        },
      ],
    };
  },
};
</script>
